# Generated by Django 3.0.8 on 2020-08-09 15:44

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Comment',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('sku', models.CharField(editable=False, max_length=256, unique=True)),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('modified', models.DateTimeField(auto_now=True)),
                ('message', models.TextField(max_length=1000)),
                ('staff', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='comments', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name': 'Comment',
                'verbose_name_plural': 'Comments',
                'ordering': ('-created',),
            },
        ),
        migrations.CreateModel(
            name='Department',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('sku', models.CharField(editable=False, max_length=256, unique=True)),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('modified', models.DateTimeField(auto_now=True)),
                ('name', models.CharField(max_length=125)),
                ('description', models.TextField()),
                ('official', models.BooleanField(default=True)),
                ('manager', models.OneToOneField(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='owner_department', to=settings.AUTH_USER_MODEL)),
                ('users', models.ManyToManyField(related_name='departments', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name': 'Department',
                'verbose_name_plural': 'Departments',
                'ordering': ('name',),
            },
        ),
        migrations.CreateModel(
            name='Ticket',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('sku', models.CharField(editable=False, max_length=256, unique=True)),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('modified', models.DateTimeField(auto_now=True)),
                ('answer_status', models.CharField(choices=[('a', 'Answered'), ('u', 'Unanswered')], default='u', max_length=1)),
                ('message', models.TextField(max_length=1000)),
                ('priority_status', models.CharField(choices=[('l', 'Low'), ('m', 'Medium'), ('h', 'High'), ('c', 'Critical')], default='m', max_length=1)),
                ('subject', models.CharField(max_length=100)),
                ('department', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='tickets', to='ticket.Department')),
                ('raised_by', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='tickets', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name': 'Ticket',
                'verbose_name_plural': 'Tickets',
                'ordering': ('-created',),
            },
        ),
        migrations.CreateModel(
            name='TicketAttach',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('sku', models.CharField(editable=False, max_length=256, unique=True)),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('modified', models.DateTimeField(auto_now=True)),
                ('uploaded_file', models.FileField(blank=True, null=True, upload_to='upload/ticket')),
                ('ticket', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='attachs', to='ticket.Ticket')),
            ],
            options={
                'verbose_name': 'Ticket Attachment',
                'verbose_name_plural': 'Ticket Attachments',
                'ordering': ('-created',),
            },
        ),
        migrations.CreateModel(
            name='CommentAttach',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('sku', models.CharField(editable=False, max_length=256, unique=True)),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('modified', models.DateTimeField(auto_now=True)),
                ('uploaded_file', models.FileField(blank=True, null=True, upload_to='upload/ticket')),
                ('comment', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='attachs', to='ticket.Comment')),
            ],
            options={
                'verbose_name': 'Comment Attachment',
                'verbose_name_plural': 'Comment Attachments',
                'ordering': ('-created',),
            },
        ),
        migrations.AddField(
            model_name='comment',
            name='ticket',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='comments', to='ticket.Ticket'),
        ),
    ]
